Subject: Shell escape problem

From: Barry Landy <[email-masked]>
Date: Wed, 9 Aug 1995 12:47:06 +0100

I normally access pine via telnet to a SUN unix system, which is in the
middle of a Solaris1 (4.1.3) to Solaris2 (2.3) conversion. I have just
converted myself to logging on to the Solaris 2 side, and have noticed a
problem with shell escape (^-Z). The escape itself usually works fine, and
I can happily obey commands, but when exiting the escape (using the fg
command) Pine exits back to the shell prompt. A little while later a
message appears:-

Pine finished. Error reading from terminal: I/O error

(Sometimes, just trying to escape with ^-Z causes pine to drop out, and 
this time there is no "explanatory" message).

I suspect that one of the stty settings may be wrong, though they are the 
same as for the Solaris 1 system, where shell escape works fine.

Any advice?

The stty settings are:-

speed 38400 baud; -parity
swtch = <undef>;
brkint -inpck -istrip icrnl -ixany imaxbel onlcr tab3
echo echoe echok echoctl echoke iexten

=======================================================================
Barry Landy, Head of Systems and Development,
University of Cambridge Computing Service
[email-masked]      0-1223-334713   +44-1223-334713